.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.38.2.
.TH DGREP "1" "October 2011" "dateutils 0.1.5-88-g64796e30" "User Commands"
.SH NAME
dgrep \- manual page for dgrep 0.1.5-88-g64796e30
.SH SYNOPSIS
.B dgrep
[\fIOPTION\fR]... \fIDATE\fR
.SH DESCRIPTION
dgrep 0.1.5\-88\-g64796e30
.PP
Grep DATE in stdin.
DATE may be prefixed with an operator `<', `<=', '=', '>=', '>', `!=', `<>'
meaning, also find lines whose dates are older, older\-equal, equal,
newer\-equal, newer, or not equal respectively.  By default dgrep looks
for equality.
.TP
\fB\-h\fR, \fB\-\-help\fR
Print help and exit
.TP
\fB\-V\fR, \fB\-\-version\fR
Print version and exit
.TP
\fB\-q\fR, \fB\-\-quiet\fR
Suppress message about date and duration parser
errors.
.TP
\fB\-i\fR, \fB\-\-input\-format\fR=\fISTRING\fR
Input format as passed to dt_strpt(), can be used
multiple times.
Each TIME will be passed to the input format
parsers in the order they are given, if TIME can
be read successfully with a given input format
that value will be used.
.TP
\fB\-e\fR, \fB\-\-backslash\-escapes\fR
enable interpretation of backslash escapes in the
output and input format strings
.TP
\fB\-o\fR, \fB\-\-only\-matching\fR
Show only the part of a line matching DATE.
.IP
Group: op
.IP
Operations can be specified by options as well
.TP
\fB\-\-eq\fR
DATE1 is the same as DATE2
.TP
\fB\-\-ne\fR
DATE1 is not the same as DATE2
.TP
\fB\-\-gt\fR
DATE1 is newer than DATE2
.TP
\fB\-\-lt\fR
DATE1 is older than DATE2
.TP
\fB\-\-ge\fR
DATE1 is newer than or equals DATE2
.TP
\fB\-\-le\fR
DATE1 is older than or equals DATE2
.TP
\fB\-\-nt\fR
DATE1 is newer than DATE2
.TP
\fB\-\-ot\fR
DATE1 is older than DATE2
.SH EXAMPLES

  % dgrep 2012-03-01 <<EOF
  2012-02-28
  2012-02-29
  2012-03-01
  2012-03-02
  EOF
  2012-03-01


  % dgrep '<2012-03-01' <<EOF
  2012-02-28
  2012-02-29
  2012-03-01
  2012-03-02
  EOF
  2012-02-28
  2012-02-29


  % dgrep \!=2012-03-01 <<EOF
  2012-02-28
  2012-02-29
  2012-03-01
  2012-03-02
  EOF
  2012-02-28
  2012-02-29
  2012-03-02


  % dgrep =2012-03-01 <<EOF
  Feb	2012-02-28
  Feb	2012-02-29	leap day
  Mar	2012-03-01
  Mar	2012-03-02
  EOF
  Mar	2012-03-01


  % dgrep -o \<2012-03-01 <<EOF
  Feb	2012-02-28
  Feb	2012-02-29	leap day
  Mar	2012-03-01
  Mar	2012-03-02
  EOF
  2012-02-28
  2012-02-29
.SH "FORMAT SPECS"

Format specs in dateutils are similar to posix' strftime().

However, due to a broader range of supported calendars dateutils must
employ different rules.

Date specs:
  %a  The abbreviated weekday name
  %A  The full weekday name
  %b  The abbreviated month name
  %B  The full month name
  %c  The count of the weekday within the month (range 00 to 05)
  %C  The count of the weekday within the year (range 00 to 53)
  %d  The day of the month, 2 digits (range 00 to 31)
  %F  Equivalent to %Y-%m-%d (ymd's canonical format)
  %j  The day of the year, see ISO 8601 ordinal date
  %m  The month in the current calendar (range 00 to 19)
  %Q  The quarter of the year (range Q1 to Q4)
  %q  The number of the quarter (range 01 to 04)
  %w  The weekday as number (range 00 to 06, Sunday being 00)
  %y  The year without a century (range 00 to 99)
  %Y  The year including the century

  %Od The day as roman numerals
  %Om The month as roman numerals
  %Oy The two digit year as roman numerals
  %OY The year including the century as roman numerals

  %dth  The day of the month as an ordinal number, 1st, 2nd, 3rd, etc.
  %mth  The month of the year as an ordinal number, 1st, 2nd, 3rd, etc.

  %db The business day of the month (since last month's ultimo)
  %dB Number of business days until this month's ultimo

Time specs:
  %H  The hour of the day using a 24h clock, 2 digits (range 00 to 23)
  %I  The hour of the day using a 12h clock, 2 digits (range 01 to 12)
  %M  The minute (range 00 to 59)
  %N  The nanoseconds (range 000000000 to 999999999)
  %p  The string AM or PM, noon is PM and midnight is AM.
  %P  Like %p but in lowercase
  %S  The second (range 00 to 60, 60 is for leap seconds)
  %T  Equivalent to %H:%M:%S

General specs:
  %n  A newline character
  %t  A tab character
  %%  A literal % character

Modifiers:
  %O  Modifier to turn decimal numbers into Roman numerals
  th  Suffix.  Read and print ordinal numbers
  b   Treat date as business date
.SH BUGS
  Report them to: https://github.com/hroptatyr/dateutils/issues
.SH AUTHOR
  Written by Sebastian Freundt <freundt@fresse.org>
.SH "SEE ALSO"
The full documentation for
.B dgrep
is maintained as a Texinfo manual.  If the
.B info
and
.B dgrep
programs are properly installed at your site, the command
.IP
.B info (dateutils)dgrep
.PP
should give you access to the complete manual.
